Bug 475658 - [LTC 5.4 FEAT] Enable Power Button on Cell Blades [201777]
[LTC 5.4 FEAT] Enable Power Button on Cell Blades [201777]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
ppc64 All
high Severity high
: alpha
: 5.4
Assigned To: Ameet Paranjape
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On:
Blocks: 445204 483701 483784 485920
  Show dependency treegraph
 
Reported: 2008-12-09 17:30 EST by IBM Bug Proxy
Modified: 2009-09-02 04:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50369 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 17:30:33 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201777]
a. Name of Feature:	Enable Power Button on Cell Blades
b. Feature Description
This feature request adds support for the power button on IBM Cell blades. It actually doesn't shut
down the machine. Instead it exposes an input device /dev/input/event0 to userspace which sends
KEY_POWER if power button has been pressed.

2. Feature Details:
Sponsor:	QDC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Backport
Category:	Cell
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	kernel 2.6.27

3. Business Case
Further usability enhancement to leverage the Cell platform

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hanns-Joachim Uhl, hannsj_uhl@de.ibm.com, 49-7031-16-4198

Technical contact(s):
Hanns-Joachim Uhl, hannsj_uhl@de.ibm.com
Comment 1 IBM Bug Proxy 2008-12-09 17:30:42 EST
See also LTC bug 46067 - RIT 190135 - Power Button not working on Cell Blades to shutdown the blade for more information.
Comment 2 John Jarvis 2008-12-23 16:24:19 EST
IBM is signed up to test and provide feedback.
Comment 3 IBM Bug Proxy 2009-01-15 05:21:12 EST
*** Bug 46067 has been marked as a duplicate of this bug. ***
Comment 4 IBM Bug Proxy 2009-01-23 11:00:50 EST
Hello Red Hat,
fyi ... for this RHEL5.4 feature request also the most current BMC firmware for QS22 from
http://www-304.ibm.com/systems/support/supportsite.wss/docdisplay?brandind=5000008&lndocid=MIGR-5073832
has to be installed on the QS22 ...
... and this feature works only on QS22, not on QS21.
Thanks for your support.
Comment 6 IBM Bug Proxy 2009-01-27 12:21:27 EST
this test procedure can be used to test the powerbutton:

1. ssh into the machine with X forwarding (or use a vnc session)
2. run "modprobe cbe_powerbutton"
3. run "gnome-power-preferences" and configure "shutdown" as action for powerbutton (default is "ask me")
4. run "gnome-power-manager"
5. press the powerbutton

System will power down now.

To have gnome-power-manager without X forwarding one would need to start gdm (and thus gnome-power-manager) on top of Xvnc or Xvfb.
Comment 7 RHEL Product and Program Management 2009-02-16 10:15:45 EST
Updating PM score.
Comment 8 Don Zickus 2009-03-04 15:00:34 EST
in kernel-2.6.18-133.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 9 John Jarvis 2009-03-04 15:08:25 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 11 IBM Bug Proxy 2009-03-05 09:40:29 EST
I verified the module loads cleanly and displays information in dmesg:

[root@c4b5 ~]# modprobe cbe_powerbutton
[root@c4b5 ~]# dmesg
...
...
pmi: found pmi device at addr d000080080cd0000.
input: Power Button as /class/input/input0

Thanks for including the patch.
Comment 12 Chris Ward 2009-06-14 19:18:48 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 13 Chris Ward 2009-07-03 14:17:15 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 14 IBM Bug Proxy 2009-07-09 04:41:01 EDT
------- Comment From gerhard.stenzel@de.ibm.com 2009-07-09 04:37 EDT-------
Verified in RHEL 5.4 Beta .. closing Bugzilla
Comment 16 errata-xmlrpc 2009-09-02 04:15:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.